#
# spec file for Fiche de l'ecole primaire
# (c) 2004 IMC
#

# Basic macros
%define packid   ce2_d_demo
%define guideid  FdE_%packid
%define guidedir guide/Guides/%guideid
%define name     fde-%packid
%define version  1.0.0
%define release  %mkrel 3
%define title    Fiches de l'école primaire (extraits)
%define abstract Fiches de l'école primaire (extraits)

# Standard EduPack menu-file macros
%define m_teacher  00. Poste de travail de l'enseignant
%define m_mat_soft 10. Maternelle : Logiciels
%define m_mat_ps   11. Maternelle : Ressources PS
%define m_mat_ms   12. Maternelle : Ressources MS
%define m_mat_gs   13. Maternelle : Ressources GS
%define m_pri_soft 20. École primaire : Logiciels
%define m_pri_cp   21. École primaire : Ressources CP
%define m_pri_ce1  22. École primaire : Ressources CE1
%define m_pri_ce2  23. École primaire : Ressources CE2
%define m_pri_cm1  24. École primaire : Ressources CM1
%define m_pri_cm2  25. École primaire : Ressources CM2
%define m_col_soft 30. Collège : Logiciels
%define m_col_6    31. Collège : Ressources 6e
%define m_col_5    32. Collège : Ressources 5e
%define m_col_4    33. Collège : Ressources 4e
%define m_col_3    34. Collège : Ressources 3e
%define m_lyc_soft 40. Lycée : Logiciels
%define m_lyc_2    41. Lycée : Ressources Seconde
%define m_lyc_1    42. Lycée : Ressources Première
%define m_lyc_T    43. Lycée : Ressources Terminale
%define m_mmedia   Multimédia
%define m_office   Bureautique
%define m_organize Organisation
%define m_sciences Sciences
%define m_web_use  Internet : Utilisation
%define m_web_cre  Internet : Création
%define m_M        Mathématiques
%define m_MS       Mathématiques série S
%define m_ME       Mathématiques série ES
%define m_ML       Mathématiques série L
%define m_F        Français
%define m_P        Physique
%define m_C        Chimie
%define m_PC       Physique - Chimie
%define m_T        S.V.T.
%define m_W        Enseignement scientifique
%define m_H        Histoire
%define m_G        Géographie
%define m_I        Philosophie
%define m_E        Éducation civique
%define m_D        Découverte du monde
%define m_SE       S.E.S.
%define m_A        Anglais
%define m_AL       Allemand
%define m_ES       Espagnol
%define m_edupack  PACKS Éducatifs libres


Name:            %name
Summary:         %abstract
Version:         %version
Release:         %release
License:         GFDL
Group:           Education
URL:             http://www.ruedesecoles.com/EduPack
Buildarch:       noarch
BuildRoot:       %{_tmppath}/%{name}-buildroot
Requires:        guide locales-fr kdegraphics-kghostview

Source0:         http://www.ruedesecoles.com/EduPack/%name-%version.tar.bz2

%description
Extraits des fiches de l'école primaire.

%prep

%setup -q

%install
rm -rf %buildroot
mkdir -p %buildroot/%_datadir/%guidedir/Icons/
mkdir -p %buildroot/%_datadir/%guidedir/fr_FR/Images
mkdir -p %buildroot/%_datadir/%guidedir/fr_FR/Pdf
install -m 644 version            %buildroot/%_datadir/%guidedir/
install -m 644 Icons/fde48.png    %buildroot/%_datadir/%guidedir/Icons/fde_%{packid}48.png
install -m 644 Icons/fde32.png    %buildroot/%_datadir/%guidedir/Icons/fde_%{packid}32.png
install -m 644 Icons/fde16.png    %buildroot/%_datadir/%guidedir/Icons/fde_%{packid}16.png
install -m 644 fr_FR/content.xml  %buildroot/%_datadir/%guidedir/fr_FR/
install -m 644 fr_FR/Images/*     %buildroot/%_datadir/%guidedir/fr_FR/Images/
install -m 644 fr_FR/Pdf/*.pdf    %buildroot/%_datadir/%guidedir/fr_FR/Pdf/

# Menu icons
install -D -m 644 Icons/fde48.png %buildroot/%_liconsdir/%name.png
install -D -m 644 Icons/fde32.png %buildroot/%_iconsdir/%name.png
install -D -m 644 Icons/fde16.png %buildroot/%_miconsdir/%name.png

# Menu entries
mkdir -p %buildroot/%_menudir/simplified
cat > %buildroot/%_menudir/%name << EOF
?package(%name): command="%_bindir/guide --skin=FdePri --option=9_g %guideid" \
needs="X11" icon="%name.png" section="%m_edupack/%m_pri_ce2/%m_D" title="%title"
EOF

cp  %buildroot/%_menudir/%name %buildroot/%_menudir/simplified/.

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%dir %_datadir/%guidedir
%_datadir/%guidedir/*
%_liconsdir/*.png
%_miconsdir/*.png
%_iconsdir/*.png
%_menudir/%name
%_menudir/simplified/%name

%changelog
* Thu Mar 10 2005 Olivier Thauvin <nanardon@mandrake.org> 1.0.0-3mdk
- %%mkrel && reupload

* Thu Apr 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-2mdk
- add simplified menu

* Tue Apr 01 2004 Veronique TOURNIER <veronique.tournier@infomedia.fr> 1.0.0-1mdk
- initial release
